
/* = = = = = = = = = = = = = = = = = datei animation.css = = = = = = = = = = = = = = = = = = = = = = = = = */


/* ############################################################ */
/* diese datei regelt die css-animationen  */
/* 1. animation "drehen" = angewendet auf den verlinkten font-icons auf startseite sowie auf unterseiten bei mausberührung (hover)*/
/* 2. animation "slide-top" = angewendet auf den font-icons im fussbereich innerhalb der unterseiten bei mausberührung (hover) */
/* 3. animation "schwingen" = angewendet auf den fotos innerhalb derunterseiten bei mausberührung (hover) */
/* dies sind die hauptanimationen evt. befindet sich je nach vorlage noch mal der code für eine mini-animation per TRANSITION direkt beim jeweiligen abschnitt */
/* ############################################################ */


/* ====== DREHEN ======  */

.drehen ,.drehen:hover {
-webkit-transition: all 1s ease-in-out;
transition: all 1s ease-in-out;
}

.drehen:hover , .drehen a:hover, .drehen img:hover , .drehen i:hover , .drehen span:hover {
-webkit-transform: rotate(2160deg);
transform: rotate(2160deg);
}

/* ====== SLIDE  TOP ======  */

.slide-top:hover  {
-webkit-animation-name: slide-top;
-webkit-animation-duration: 2s;
-webkit-animation-iteration-count: 1;
-webkit-animation-timing-function: linear;
animation-name: slide-top;
animation-duration: 2s;
animation-iteration-count: 1;
animation-timing-function: linear;
}


@-webkit-keyframes slide-top  {
0% {transform: translateY(0px);}
50% {transform: translateY(-20px);}
}

@keyframes slide-top  {
0% {transform: translateY(0px);}
50% {transform: translateY(-20px);}
}





/* ====== SCHWINGEN ======  */

.schwingen:hover {

-webkit-animation-name: schwingen;
-webkit-animation-duration: 3s;
-webkit-animation-timing-function: linear;
-webkit-animation-iteration-count: infinite;
-webkit-animation-iteration-count: 1;
animation-name: schwingen;
animation-duration: 3s;
animation-timing-function: linear;
animation-iteration-count: infinite;
animation-iteration-count: 1;
}

@keyframes schwingen {

25% {transform: rotate3d(0, 0, 1, 15deg);  }

45% {transform: rotate3d(0, 0, 1, -10deg);  }

65% {transform: rotate3d(0, 0, 1, 5deg);  }

85% {transform: rotate3d(0, 0, 1, -5deg);  }

to {transform: rotate3d(0, 0, 1, 0deg);  }
}


@-webkit-keyframes schwingen {

25% {transform: rotate3d(0, 0, 1, 15deg);  }

45% {transform: rotate3d(0, 0, 1, -10deg);  }

65% {transform: rotate3d(0, 0, 1, 5deg);  }

85% {transform: rotate3d(0, 0, 1, -5deg);  }

to {transform: rotate3d(0, 0, 1, 0deg);  }
}

/* / / / / / / / / / / / / / / / / / / / / / / code ende  / / / / / / / / / / / / / / / / / / / / / / / / */